# -*- encoding: utf-8 -*-
# stub: singleton 0.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "singleton".freeze
  s.version = "0.3.0".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "https://github.com/ruby/singleton", "source_code_uri" => "https://github.com/ruby/singleton" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Yukihiro Matsumoto".freeze]
  s.bindir = "exe".freeze
  s.date = "2024-11-08"
  s.description = "The Singleton module implements the Singleton pattern.".freeze
  s.email = ["matz@ruby-lang.org".freeze]
  s.files = [".github/dependabot.yml".freeze, ".github/workflows/push_gem.yml".freeze, ".github/workflows/test.yml".freeze, ".gitignore".freeze, "BSDL".freeze, "COPYING".freeze, "Gemfile".freeze, "README.md".freeze, "Rakefile".freeze, "bin/console".freeze, "bin/setup".freeze, "lib/singleton.rb".freeze, "singleton.gemspec".freeze]
  s.homepage = "https://github.com/ruby/singleton".freeze
  s.licenses = ["Ruby".freeze, "BSD-2-Clause".freeze]
  s.rubygems_version = "3.5.11".freeze
  s.summary = "The Singleton module implements the Singleton pattern.".freeze
end
